Bug 1284469 - tor-0.3.0.9 is available
Summary: tor-0.3.0.9 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tor
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1451161 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-23 12:22 UTC by Upstream Release Monitoring
Modified: 2017-10-13 17:21 UTC (History)
12 users (show)

Fixed In Version: tor-0.3.1.7-1.fc27 tor-0.3.1.7-1.fc26
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-10 19:28:51 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.41 KB, patch)
2016-08-08 16:47 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.23 KB, patch)
2016-09-24 00:37 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.23 KB, patch)
2016-10-18 00:31 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (18.66 KB, patch)
2016-12-03 00:23 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (18.66 KB, patch)
2016-12-20 00:21 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 0.2.9.10 (#1284469) (979 bytes, patch)
2017-03-02 12:20 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2015-11-23 12:22:50 UTC
Latest upstream release: 0.2.7.5
Current version/release in rawhide: 0.2.6.10-6.fc24
URL: https://www.torproject.org/download/download.html.en

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-11-23 12:23:48 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-vl0zJ3/tor.spec
return code:  22
stdout:
Getting https://www.torproject.org/dist/tor-0.2.7.5.tar.gz to ./tor-0.2.7.5.tar.gz
Getting https://www.torproject.org/dist/tor-0.2.7.5.tar.gz.asc to ./tor-0.2.7.5.tar.gz.asc

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
100   299  100   299    0     0    243      0  0:00:01  0:00:01 --:--:--   243

  0     0    0     0    0     0      0      0 --:--:--  0:00:02 --:--:--     0
  1 4725k    1 65536    0     0  23977      0  0:03:21  0:00:02  0:03:19  103k
 22 4725k   22 1040k    0     0   284k      0  0:00:16  0:00:03  0:00:13  677k
100 4725k  100 4725k    0     0  1056k      0  0:00:04  0:00:04 --:--:-- 2007k
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   303  100   303    0     0    322      0 --:--:-- --:--:-- --:--:--   322

  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
curl: (22) The requested URL returned error: 400 Bad Request

Comment 2 Upstream Release Monitoring 2015-11-29 22:43:54 UTC
jamielinux's tor-0.2.7.5-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=702225

Comment 3 Upstream Release Monitoring 2015-11-30 09:47:39 UTC
jamielinux's tor-0.2.7.5-2.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=702264

Comment 4 Upstream Release Monitoring 2015-11-30 09:51:02 UTC
jamielinux's tor-0.2.7.5-3.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=702268

Comment 5 Upstream Release Monitoring 2015-12-06 14:18:39 UTC
jamielinux's tor-0.2.7.5-4.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=703617

Comment 6 Upstream Release Monitoring 2015-12-06 15:40:59 UTC
jamielinux's tor-0.2.7.5-5.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=703624

Comment 7 Upstream Release Monitoring 2015-12-10 18:44:33 UTC
jamielinux's tor-0.2.7.5-6.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=704700

Comment 8 Upstream Release Monitoring 2016-08-08 16:45:43 UTC
Latest upstream release: 0.2.8.6
Current version/release in rawhide: 0.2.7.6-6.fc24
URL: https://www.torproject.org/download/download.html.en

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4991/

Comment 9 Upstream Release Monitoring 2016-08-08 16:47:34 UTC
Patching or scratch build for tor-0.2.7.6 failed.

Comment 10 Upstream Release Monitoring 2016-08-08 16:47:36 UTC
Created attachment 1188850 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 11 Upstream Release Monitoring 2016-08-08 16:47:38 UTC
Patches were not touched. All were applied properly

Comment 12 Upstream Release Monitoring 2016-08-21 15:11:16 UTC
jamielinux's tor-0.2.8.6-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=793396

Comment 13 Upstream Release Monitoring 2016-08-21 15:18:46 UTC
jamielinux's tor-0.2.8.6-2.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=793401

Comment 14 Upstream Release Monitoring 2016-09-24 00:35:23 UTC
Latest upstream release: 0.2.8.8
Current version/release in rawhide: 0.2.8.7-1.fc26
URL: https://www.torproject.org/download/download.html.en

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4991/

Comment 15 Upstream Release Monitoring 2016-09-24 00:37:22 UTC
Patching or scratch build for tor-0.2.8.7 failed.

Comment 16 Upstream Release Monitoring 2016-09-24 00:37:25 UTC
Created attachment 1204313 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 17 Upstream Release Monitoring 2016-09-24 00:37:27 UTC
Patches were not touched. All were applied properly

Comment 18 Upstream Release Monitoring 2016-10-02 21:00:55 UTC
jamielinux's tor-0.2.8.8-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=806210

Comment 19 Upstream Release Monitoring 2016-10-18 00:29:58 UTC
Latest upstream release: 0.2.8.9
Current version/release in rawhide: 0.2.8.8-1.fc26
URL: https://www.torproject.org/download/download.html.en

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4991/

Comment 20 Upstream Release Monitoring 2016-10-18 00:31:53 UTC
Patching or scratch build for tor-0.2.8.8 failed.

Comment 21 Upstream Release Monitoring 2016-10-18 00:31:56 UTC
Created attachment 1211572 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 22 Upstream Release Monitoring 2016-10-18 00:31:58 UTC
Patches were not touched. All were applied properly

Comment 23 Upstream Release Monitoring 2016-12-03 00:21:37 UTC
Latest upstream release: 0.2.8.10
Current version/release in rawhide: 0.2.8.9-1.el7
URL: https://www.torproject.org/download/download.html.en

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4991/

Comment 24 Upstream Release Monitoring 2016-12-03 00:23:45 UTC
Patching or scratch build for tor-0.2.8.9 failed.

Comment 25 Upstream Release Monitoring 2016-12-03 00:23:47 UTC
Created attachment 1227528 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 26 Upstream Release Monitoring 2016-12-03 00:23:50 UTC
Following patches has been deleted:
['tor-0.2.7.6-torrc-ControlSocket-and-CookieAuthFile.patch']

Comment 27 Upstream Release Monitoring 2016-12-20 00:19:04 UTC
Latest upstream release: 0.2.9.8
Current version/release in rawhide: 0.2.8.11-1.fc26
URL: https://www.torproject.org/download/download.html.en

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4991/

Comment 28 Upstream Release Monitoring 2016-12-20 00:21:19 UTC
Patching or scratch build for tor-0.2.8.11 failed.

Comment 29 Upstream Release Monitoring 2016-12-20 00:21:21 UTC
Created attachment 1233655 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 30 Upstream Release Monitoring 2016-12-20 00:21:24 UTC
Following patches has been deleted:
['tor-0.2.7.6-torrc-ControlSocket-and-CookieAuthFile.patch']

Comment 31 nusenu 2017-01-29 14:45:24 UTC
tor 0.2.9.9 has been released:

https://lists.torproject.org/pipermail/tor-announce/2017-January/000123.html

Comment 32 Upstream Release Monitoring 2017-03-02 12:19:51 UTC
Latest upstream release: 0.2.9.10
Current version/release in rawhide: 0.2.8.12-2.fc26
URL: https://www.torproject.org/download/download.html.en

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4991/

Comment 33 Upstream Release Monitoring 2017-03-02 12:20:07 UTC
Created attachment 1259137 [details]
[patch] Update to 0.2.9.10 (#1284469)

Comment 34 Upstream Release Monitoring 2017-03-02 12:36:08 UTC
hotness's scratch build of tor-0.2.9.10-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=18137148

Comment 35 Upstream Release Monitoring 2017-03-03 16:33:07 UTC
jamielinux's tor-0.2.9.10-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=864157

Comment 36 Daniel 2017-04-23 12:52:48 UTC
This issue should be closed as resolved.

Comment 37 Upstream Release Monitoring 2017-04-27 00:22:48 UTC
Latest upstream release: 0.3.0.6
Current version/release in rawhide: 0.2.9.10-1.fc27
URL: https://www.torproject.org/download/download.html.en

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4991/

Comment 38 Upstream Release Monitoring 2017-04-27 00:22:58 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 39 Upstream Release Monitoring 2017-05-16 00:23:21 UTC
Latest upstream release: 0.3.0.7
Current version/release in rawhide: 0.2.9.10-1.fc27
URL: https://www.torproject.org/download/download.html.en

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4991/

Comment 40 Upstream Release Monitoring 2017-05-16 00:23:46 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 41 Upstream Release Monitoring 2017-06-09 00:26:50 UTC
Latest upstream release: 0.3.0.8
Current version/release in rawhide: 0.2.9.10-1.fc27
URL: https://www.torproject.org/download/download.html.en

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4991/

Comment 42 Upstream Release Monitoring 2017-06-09 00:27:04 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 43 Upstream Release Monitoring 2017-06-30 00:25:30 UTC
Latest upstream release: 0.3.0.9
Current version/release in rawhide: 0.2.9.10-1.fc27
URL: https://www.torproject.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4991/

Comment 44 Upstream Release Monitoring 2017-06-30 00:25:39 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 45 Marcel Haerry 2017-07-26 09:03:45 UTC
Jamie, I have built a 0.3.0.9 release here: https://copr.fedorainfracloud.org/coprs/maha/tor-latest/build/583617/

It's based on https://git.scrit.ch/srpm/tor/commit/?h=move-to-0.3&id=9c469526160ccb4967e38edc6224c7af3d0f8db9

Based on the EOL plans @ https://trac.torproject.org/projects/tor/wiki/org/teams/NetworkTeam/CoreTorReleases I think it could be safe to move tor in Fedora rawhide to 0.3.0-branch or we could do it later with 0.3.1

Comment 46 iliana weller 2017-08-19 20:17:57 UTC
*** Bug 1451161 has been marked as a duplicate of this bug. ***

Comment 47 iliana weller 2017-08-19 22:34:09 UTC
Fedora tor maintainers -- I will be doing a build of 0.3.0.10 in rawhide, F27, and F26 in a week unless anybody brings up any concerns.

Comment 48 Marcel Haerry 2017-08-20 13:49:43 UTC
I'm not a maintainer, but I would welcome that a lot.

Also I would welcome if we could start pushing security fixes for older fedora versions and platforms like EL7, see #1461276

Comment 49 Lokesh Mandvekar 2017-09-02 22:06:04 UTC
(In reply to Iliana Weller from comment #47)
> Fedora tor maintainers -- I will be doing a build of 0.3.0.10 in rawhide,
> F27, and F26 in a week unless anybody brings up any concerns.

Hi, any ETA on this?

atlas.torproject.org is flagging the current Tor version on Fedora as outdated. Would be great to get this going..

Comment 50 Fedora Update System 2017-10-05 06:36:04 UTC
tor-0.3.1.7-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b2c714515b

Comment 51 Fedora Update System 2017-10-05 06:55:43 UTC
tor-0.3.1.7-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1179268a20

Comment 52 Fedora Update System 2017-10-06 03:26:18 UTC
tor-0.3.1.7-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1179268a20

Comment 53 Fedora Update System 2017-10-06 04:28:56 UTC
tor-0.3.1.7-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b2c714515b

Comment 54 Fedora Update System 2017-10-10 19:28:51 UTC
tor-0.3.1.7-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 55 Fedora Update System 2017-10-13 17:21:20 UTC
tor-0.3.1.7-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.